export function isMatchCondition(arr, condition) {
    if (typeof condition == 'string')
        return arr.includes(condition);
    if (Array.isArray(condition))
        return condition.every((condition) => arr.includes(condition));
    const { $and, $or, $not } = condition;
    let result = [];
    if ($and && $and.length > 0) {
        result.push($and.every((condition) => isMatchCondition(arr, condition)));
    }
    if ($or && $or.length > 0) {
        result.push($or.some((condition) => isMatchCondition(arr, condition)));
    }
    if ($not && $not.length > 0) {
        result.push($not.every((condition) => !isMatchCondition(arr, condition)));
    }
    if (result.length > 0)
        return result.every((v) => v);
    else
        return false;
}
